Highlighted

Raw support for Nikon D3500

New Here ,
May 01, 2019

Copy link to clipboard

Copied

Adobe PSE 15 does not provide raw support for Nikon D3500.  Does anyone know if raw support for this camera is available on PSE 2018 or PSE 2019? If not, is anyone aware of any news on when Nikon will provide raw support for the Nikon D3500??

Thanks,

JW

Views

2.6K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Raw support for Nikon D3500

New Here ,
May 01, 2019

Copy link to clipboard

Copied

Adobe PSE 15 does not provide raw support for Nikon D3500.  Does anyone know if raw support for this camera is available on PSE 2018 or PSE 2019? If not, is anyone aware of any news on when Nikon will provide raw support for the Nikon D3500??

Thanks,

JW

Views

2.6K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
May 01, 2019 0
Adobe Community Professional ,
May 01, 2019

Copy link to clipboard

Copied

The D3500 requires Camera Raw 8.1 or later, so Photoshop Elements 15 should handle the raw files without any problem. What is happening in your case?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 01, 2019 0
Adobe Community Professional ,
May 06, 2019

Copy link to clipboard

Copied

Hi Jim,

8.1 is the minimum version of Lightroom Classic CC required.

The D3500 was first supported by Camera Raw 11.1 which is supported in the current version Elements 2019.

Camera Raw plug-in and Adobe application compatibility

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 06, 2019 0
Adobe Community Professional ,
May 06, 2019

Copy link to clipboard

Copied

Yeah, you're right. I was reading the Lightroom Classic CC required. Sorry about that.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 06, 2019 0
Adobe Community Professional ,
May 06, 2019

Copy link to clipboard

Copied

No problem. Done it myself.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 06, 2019 0